{
    attributes = (
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = TGRP_CODE; 
            externalType = VARCHAR2; 
            name = tgrpCode; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = TGRP_LIBELLE; 
            externalType = VARCHAR2; 
            name = tgrpLibelle; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (tgrpCode, tgrpLibelle, dCreation, dModification); 
    className = EOTypeGroupe; 
    classProperties = (tgrpCode, tgrpLibelle, dCreation, dModification); 
    externalName = TYPE_GROUPE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (tgrpCode, tgrpLibelle, dCreation, dModification); 
    }; 
    name = TypeGroupe; 
    primaryKeyAttributes = (tgrpCode); 
}
